/*Project: Swiss Decor
File:css
Author: Umid Infotech
*/



/*Common css*/

.m50_0 {
  margin-top: 50px;
  margin-bottom:50px;
}
.m25_0 {
  margin-top: 25px;
  margin-bottom:25px;
}
.m100_0{
  margin-top: 100px;
  margin-bottom:100px;
}
.m0{margin-right:0px !important;margin-left:0px !important}

.text-justify {
  text-align: justify;
}
.parallax{height:100vh}

/* for modal image */
.port {
  padding: 5%;
}
.gallery-item {
  position: relative;
  box-shadow: 0 5px 10px 1px rgba(0, 0, 0, 0.5);
}
/* overlay */

.gallery-item img {
  width: 100%;
}
.gallery-item iframe {
  width: 400px;
  height: 400px;
}
.gallery-item .overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.9);
  color: #fff;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  padding: 20px;
  z-index: 1;
  opacity: 0;
  transition: opacity 0.5s ease;
}
.gallery-item:hover .overlay {
  opacity: 1;
}
.gallery-item .overlay h3 {
  font-size: 24px;
  margin-bottom: 10px;
}
.gallery-item .overlay p {
  font-size: 16px;
  margin-bottom: 20px;
}
.gallery-item .overlay .btn {
  font-size: 16px;
}
.modal {
  background: rgba(0, 0, 0, 0.8);
}

.modal-content {
  top: 145px;
}
/* for modal image */

/* styling for gallery starts*/
.portfolio-menu {
  text-align: center;
}
.portfolio-menu ul li {
  display: inline-block;
  margin: 0;
  list-style: none;
  padding: 10px 15px;
  cursor: pointer;
  -webkit-transition: all 05s ease;
  -moz-transition: all 05s ease;
  -ms-transition: all 05s ease;
  -o-transition: all 05s ease;
  transition: all 0.5s ease;
}

.portfolio-item {
  /*width:100%;*/
}
.portfolio-item .item {
  /*width:303px;*/
  float: left;
  margin-bottom: 10px;
}

/* styling for gallery ends */

/************* Header  ****************/
/* Navigation */
.menu {
  background-color: #f5821f;
}
.color_white{color:white;}
.Swiss_logo{width:45%}
/**************** Product Page  ******************/


/* Parallax Effect */
.parallax-slide {
  position: relative;
  background-position: center;
  background-size: cover;
  background-attachment: fixed; /* Parallax effect */
}

/* Specific slides with different background images */
#slide1 {
  background-image: url("../img/pvcpanel1.png"); /* Replace with your image */
}

#slide2 {
  background-image: url("../img/pvcpanel2.png"); /* Replace with your image */
}

#slide3 {
  background-image: url("../img/pvcpanel3.png"); /* Replace with your image */
}

/* Overlay content */
.carousel-caption {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  color: white;
  text-align: center;
  width: 100%;
}
.Product_desc {
  font-size: 25px;
}

/******About us page*************/

#our_mission{background-image: url("../img/wall_about.png");}
#tailored_solutions{  background-image: url("../img/wall_about.png"); }
.parallax-slide_about {
  padding:100px 0px;
  position: relative;
  background-position: center;
  background-size: cover;
  background-attachment: fixed; /* Parallax effect */
}
.color_white{
    color:white !important;
}
.about-image {
  flex: 1;
  text-align: right;
  animation: slideInRight 1.5s ease-out;
}

.about-image img {
  width: 100%;
  height: auto;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}
.border-box{
    border:1px grove #f5821f ;
      border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

/*******Footer********/

.footer {
  background-color: #333;
  color: white;
  padding: 20px;
  text-align: center;
  margin-top:100px;
}

.footer nav a {
  color: white;
  margin: 0 15px;
  text-decoration: none;
}

.footer nav a:hover {
  text-decoration: underline;
}


.containerR {
  margin: 0 auto;
  display: inline-block;
}


/*Media Query*/

@media screen and (max-width: 991px){
  .gallery-item {
    margin-bottom: 30px;
  }
}
@media screen and (max-width: 768px) {
  .category-grid,
  .product-grid {
    flex-direction: column;
  }
}
@media screen and (max-width: 431px) {
  .category-grid,
  .product-grid {
    flex-direction: column;
  }
 .parallax{height:auto;}
}

